Subject: bug#19363: closed (bug#19363)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Jan 2015 13:28:03 +0000

Your bug report

#19363: 24.4.1; Notifications can make ERC unusable

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19363: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19363
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug#19363
From: Kelvin White <[email-masked]>
To: [email-masked]
Date: Fri, 16 Jan 2015 13:27:28 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

patch installed

Subject: 24.4.1; Notifications can make ERC unusable
From: Dima Kogan <[email-masked]>
To: [email-masked]
Date: Fri, 12 Dec 2014 22:32:42 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

I just updated my Debian install from emacs24 24.3+1-5 -> 24.4+1-4, and
my ERC is no longer usable as a result.

The failure mode is that anything I type into a channel IS sent
correctly, but nothing anybody else types shows up in the buffer. So
even in an active channel it looks like I'm the only one there, since I
see nothing anybody else types. The messages do arrive to ERC, since the
notification callback sees them; they just aren't relayed to the buffer.

This is 100% reproducible if you start emacs with just the following in
your .emacs:

 (eval-after-load 'erc
   '(progn
      (require 'erc-desktop-notifications)
      (erc-notifications-enable)
      ))

Then M-x erc and connect to any server and any channel. This is
sensitive to order and/or to timing. For instance, running emacs -Q and
then evaluating

 (require 'erc-desktop-notifications)
 (erc-notifications-enable)

does not trigger the issue. I tried debugging this, but all the
indirection in the sources makes it difficult.